# $Id: GUI.pm,v 1.1.1.1 2001/01/16 10:37:30 muhri Exp $

package Pronto::Crypt::GUI;

use strict;
use vars qw($VERSION @ISA @EXPORT @EXPORT_OK);

require Exporter;

@ISA = qw(Exporter AutoLoader);
# Items to export into callers namespace by default. Note: do not export
# names by default without a very good reason. Use EXPORT_OK instead.
# Do not simply export all your public functions/methods/constants.
@EXPORT = qw(
	
);
$VERSION = '0.01';

sub obtain_passphrase {
        my $passwindow = new Gtk::Window(-toplevel);
        $passwindow->set_title("Please enter your passphrase");	#" Dont ask.
        my $hbox = new Gtk::HBox(0,0);
        my $label = new Gtk::Label("Passphrase");
        my $entry = new Gtk::Entry();
        $entry->set_visibility(0);
        my $button = new Gtk::Button("Submit");
        $button->signal_connect('clicked', \&set_passphrase, [$entry, $passwindow]);

        $hbox->pack_start($label,0,0,0);
        $hbox->pack_start($entry,0,0,0);
        $hbox->pack_start($button,0,0,0);

        $passwindow->add($hbox);
        $button->show;
        $hbox->show;
        $label->show;
        $entry->show;
        $passwindow->show;

        return 1;
}

sub set_passphrase {
        my $button = shift;
        my $secondbit = shift;

        my $passphrase = ($secondbit->[0])->get_text;
        ($secondbit->[1])->destroy;
        return 1;
}

sub keyserver_search_window {
        &main::wr_debug("Opening keyserver search window");
        return 1;
}



# Preloaded methods go here.

# Autoload methods go after =cut, and are processed by the autosplit program.

1;
__END__
# Below is the stub of documentation for your module. You better edit it!

=head1 NAME

Prontocrypt - Perl extension for blah blah blah

=head1 SYNOPSIS

  use Prontocrypt;
  blah blah blah

=head1 DESCRIPTION

Stub documentation for Prontocrypt was created by h2xs. It looks like the
author of the extension was negligent enough to leave the stub
unedited.

Blah blah blah.

=head1 AUTHOR

A. U. Thor, a.u.thor@a.galaxy.far.far.away

=head1 SEE ALSO

perl(1).

=cut
